<?php

namespace Drupal\mailing_subscriber\Plugin\mailing_subscriber\Subscriber;

use Drupal\Core\Annotation\Translation;
use Drupal\Core\Form\FormStateInterface;
use Drupal\mailing_subscriber\Annotation\Subscriber;

/**
 * Defines a fallback plugin for missing subscriber plugins.
 *
 * @Subscriber(
 *   id = "broken",
 *   label = @Translation("Broken"),
 *   admin_label = @Translation("Broken/Missing"),
 *   category = @Translation("Subscriber"),
 * )
 */
final class Broken extends SubscriberBase {

  /**
   * {@inheritdoc}
   */
  public function getLabel(): string {
    return $this->t('Broken type');
  }

    /**
     * {@inheritDoc}
     */
    public function subscribe(FormStateInterface $form_state) {}

}
